> For the complete documentation index, see [llms.txt](https://docs.rierino.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rierino.com/devops/api-event-and-process-flows/configuring-saga-steps/event-step/flow-actions/trigger-runner-command.md).

# Trigger Runner Command

## Trigger Runner Command Actions

{% hint style="info" %}
Unlike commands, events are not broadcast to all runners. Triggering a command with this handler causes only a single runner to execute the command.

This handler is mainly useful for development and testing when a single-partition runner is used and commands are not sent through Kafka topics.
{% endhint %}

### Command

Treats input payload as a command and executes it on the runner:

{% tabs %}
{% tab title="Fields (table)" %}

| Field          | Definition                             | Example | Default |
| -------------- | -------------------------------------- | ------- | ------- |
| Input Element  | Json path in payload to use            | command | -       |
| Output Element | Json path in payload to return results | result  | -       |
| {% endtab %}   |                                        |         |         |

{% tab title="Fields (JSON Schema)" %}

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "eventMeta": {
      "type": "object",
      "properties": {
        "inputElement": {
          "type": "string",
          "description": "Json path in payload to use",
          "examples": ["command"],
          "default": null
        },
        "outputElement": {
          "type": "string",
          "description": "Json path in payload to return results",
          "examples": ["result"],
          "default": null
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}

With event metadata parameters as:

{% tabs %}
{% tab title="Parameters (table)" %}

| Parameter     | Definition                            | Example | Default |
| ------------- | ------------------------------------- | ------- | ------- |
| Input Pattern | JMESPath expression to create command | -       | -       |
| {% endtab %}  |                                       |         |         |

{% tab title="Parameters (JSON Schema)" %}

```json
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "eventMeta": {
      "type": "object",
      "properties": {
        "parameters": {
          "type": "object",
          "properties": {
            "inputPattern": {
              "type": "string",
              "description": "JMESPath expression to create command",
              "default": null
            }
          }
        }
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rierino.com/devops/api-event-and-process-flows/configuring-saga-steps/event-step/flow-actions/trigger-runner-command.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
